unit edits;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  KsHooks, KsForms, KsSkinForms, KsCheckBoxs, KsSkinCheckBoxs, KsGroupBoxs,
  KsSkinGroupBoxs, KsControls, KsEdits, KsSkinEdits, StdCtrls;

type
  TfrmEdits = class(TForm)
    NgForm1: TSeSkinForm;
    SeSkinEdit1: TSeSkinEdit;
    SeSkinRadioGroup1: TSeSkinRadioGroup;
    SeSkinGroupBox1: TSeSkinGroupBox;
    NgRadioGroup1: TSeSkinRadioGroup;
    SeSkinCheckBox1: TSeSkinCheckBox;
    SeSkinEdit2: TSeSkinEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure SeSkinRadioGroup1Click(Sender: TObject);
    procedure SeSkinCheckBox1Click(Sender: TObject);
    procedure SeSkinEdit2Change(Sender: TObject);
    procedure NgRadioGroup1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmEdits: TfrmEdits;

implementation

uses Main;

{$R *.DFM}

procedure TfrmEdits.SeSkinRadioGroup1Click(Sender: TObject);
begin
  SeSkinEdit1.TextAlignment := TAlignment(SeSkinRadioGroup1.ItemIndex);
end;

procedure TfrmEdits.SeSkinCheckBox1Click(Sender: TObject);
begin
  if SeSkinCheckBox1.Checked then
  begin
    SeSkinEdit1.PasswordKind := TPasswordKind(NgRadioGroup1.ItemIndex + 1);
    SeSkinEdit1.PasswordChar := SeSkinEdit2.Text[1];
  end
  else
  begin
    SeSkinEdit1.PasswordKind := pkNone;
  end;
end;

procedure TfrmEdits.SeSkinEdit2Change(Sender: TObject);
begin
  SeSkinCheckBox1Click(Sender);
end;

procedure TfrmEdits.NgRadioGroup1Click(Sender: TObject);
begin
  SeSkinCheckBox1Click(Sender);
end;

end.
